Subject: bug#25272: problem with imenu and company-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 30 Nov 2020 12:30:15 +0100

Ali AlipourR <[email-masked]> writes:

> Hi
> I'm not sure this is really a "problem" with imenu, but here are the details: 
> https://github.com/company-mode/company-mode/issues/624
>
> Thanks

(This bug report unfortunately got no response at the time.)

The relevant bits from that bug report seems to be:

---

 1 open this file  
 2 M-x sh-mode (this should recognize the shebang line and take you to  
  shell-script[bash] mode)  
 3 M-x company-mode  
   
 and it should give you suggestions, define a new long name function/variable  
 and ...  
   
 Thanks  
@dgutov 
SVG Image Copy link 
Member 

@dgutov 
dgutov commented Dec 25, 2016 

 Thanks. I though I was doing exactly that, but apparently not. I can reproduce  
 this now.  
   
 It's a problem in Emacs (which was apparent from the outset, since the backend  
 is company-capf), and it goes like this: the completion function takes the  
 generated IMenu index to get the list of functions.  
   
 IMenu, however, uses imenu-max-item-length to truncate the lengths of its items.  
   
 So please M-x report-emacs-bug so we can get this fixed, one way or another. In  
 the meantime, you can customize imenu-max-item-length to some larger value  
 as a workaround.  
SVG Image
@dgutov 
dgutov added the third party issue label Dec 25, 2016 
SVG Image
@SudoerReodus 
SudoerReodus closed this Dec 26, 2016 
@dgutov 
SVG Image Copy link 
Member 

@dgutov 
dgutov commented Dec 26, 2016 

 To be clear, it's a bug in sh-mode, not in IMenu.  

---

It's not really that clear what the issue is -- at least not to me.  :-)
Dmitry?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no